
Core - Feature # 39721

Epic # 55575 (Accepted): Streamline JavaScript Code in the TYPO3 Backend

Status: Resolved Priority: Should have
Author: Felix Kopp Category:
Created: 2012-08-12 Assigned To:
Updated: 2015-07-19 Due date:
PHP Version:
Complexity:
Sprint Focus:
Subject: Remove Prototype and script.aculo.us JavaScript libraries
Description

Umbrella

Subtasks:
Task # 39723: TCEforms: Migrate Suggest wizard to jQuery Resolved
Task # 55572: Switch IRRE to jQuery Resolved
Task # 58475: Change IRRE Javascript code to jQuery Resolved
Related issues:
related to Core - Bug # 67359: Resolve the conflict between Bootstrap 3 and P... Accepted 2015-06-09
related to Core - Bug # 68391: EXT:form content element broken Resolved 2015-07-20
follows Core - Bug # 39722: Task center: migrate drag and drop to jQuery Closed 2012-08-12
precedes Core - Bug # 68413: Remove leftover references to Prototype JS in tb... Resolved 2015-07-21

Associated revisions
Revision 2dc43d97 - 2015-07-19 10:04 - Benjamin Mack

[!!!][TASK] Kill proto-types and script-kiddies with fire

In our efforts to streamline the JavaScript base with RequireJS
and jQuery, the prototype.js and scriptaculous libraries are
removed from the Core completely.

Releases: master
Resolves: #39721
Change-Id: If4d70842dcdf7e0fe9d0dd3c1f19c7e35647ce5d
Reviewed-on: http://review.typo3.org/41318
Reviewed-by: Susanne Moog <typo3@susannemoog.de>
Tested-by: Susanne Moog <typo3@susannemoog.de>
Reviewed-by: Andreas Wolf <andreas.wolf@typo3.org>
Tested-by: Andreas Wolf <andreas.wolf@typo3.org>
Reviewed-by: Georg Ringer <georg.ringer@gmail.com>
Tested-by: Georg Ringer <georg.ringer@gmail.com>

Revision 2642a04e - 2015-07-20 19:28 - Andreas Fernandez

[BUGFIX] Remove leftover usage of prototype in EXT:form

Prototype is used in EXT:form, which is based on ExtJS. Prototype
was removed earlier, resulting in JavaScript errors. The broken
function calls are replaced by ExtJS pendants.

Resolves: #68391
Related: #39721
Releases: master
Change-Id: If005caa86b63cf930fc49e2408214ef4d9574c4f
Reviewed-on: http://review.typo3.org/41735
Reviewed-by: Benjamin Mack <benni@typo3.org>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

Revision 9d917c85 - 2015-07-21 16:23 - Markus Klein

[BUGFIX] Remove prototype JS from tbe_editor

Two references to prototype JS are removed from tbe_editor.
Code changed with the prototype removal is further streamlined.
One parameter, exclusively used for script.aculo.us, in
GeneralUtility::createVersionNumberedFilename is removed as well.

Releases: master
Resolves: #68413
Related: #39721
Change-Id: I9f8328b1789f3423aa33813de0cd736b135cfa55
Reviewed-on: http://review.typo3.org/41767
Reviewed-by: Frederic Gaus <frederic.gaus@flagbit.de>
Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>
Tested-by: Andreas Fernandez <typo3@scripting-base.de>
Reviewed-by: Susanne Moog <typo3@susannemoog.de>
Tested-by: Susanne Moog <typo3@susannemoog.de>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

History
#1 - 2014-02-02 11:11 - Daniel Siepmann
- Parent task set to #55575

#2 - 2014-12-20 02:00 - Felix Kopp
- Status changed from New to Closed

#3 - 2015-07-18 17:42 - Gerrit Code Review
- Status changed from Closed to Under Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41318

#4 - 2015-07-18 19:54 - Gerrit Code Review
Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41318

#5 - 2015-07-18 20:09 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41318

#6 - 2015-07-18 20:21 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41318

#7 - 2015-07-19 09:59 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41318

#8 - 2015-07-19 10:30 - Benjamin Mack
- Status changed from Under Review to Resolved

Applied in changeset commit:2dc43d972f6f40f5d4fddc50a453aa53b6710d8e.
